import numpy as np
from mayavi import mlab

x, y, z = np.ogrid[-7:7:0.1, -7:7:0.1, -1:7:0.1]
scalars = x * x + y * y - z * z

src = mlab.pipeline.scalar_field(scalars)
mlab.pipeline.iso_surface(src)
mlab.axes()
mlab.outline()
mlab.orientation_axes()
mlab.text(0, 0, "Low point")

mlab.show()
